Name:		rawtherapee
Version:	4.0.11
%define subrel	1
Release:	%mkrel 2
Summary:	Raw image processing software

Group:		Graphics/Utilities
License:	GPLv3 and MIT and IJG
URL:		http://www.rawtherapee.com/
Source0:	http://rawtherapee.googlecode.com/files/%{name}-%{version}.tar.xz
Patch0:		rawtherapee-4.0.11-link.patch
Patch1:		dcraw-9.17-CVE-2013-1438.patch
BuildRequires:	cmake >= 2.6
BuildRequires: pkgconfig(expat) >= 2.0
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(fftw3f)
BuildRequires: pkgconfig(gio-2.0) >= 2.16
BuildRequires: pkgconfig(giomm-2.4) >= 2.12
BuildRequires: pkgconfig(glib-2.0) >= 2.16
BuildRequires: pkgconfig(glibmm-2.4) >= 2.16
BuildRequires: pkgconfig(gobject-2.0) >= 2.16
BuildRequires: pkgconfig(gthread-2.0) >= 2.16
BuildRequires: pkgconfig(gtk+-2.0) >= 2.12
BuildRequires: pkgconfig(gtkmm-2.4) >= 2.22
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libcanberra-gtk)
BuildRequires: pkgconfig(libiptcdata)
BuildRequires: pkgconfig(sigc++-2.0)
BuildRequires:	bzip2-devel
BuildRequires:	mercurial
BuildRequires:	libjpeg-devel libtiff-devel libpng-devel
BuildRequires:	libgomp-devel
Requires:	hicolor-icon-theme

%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake -DBUILD_SHARED_LIBS=OFF
%make

%install
%makeinstall_std -C build

# These file are taken from the root already
rm -rf %{buildroot}%{_datadir}/doc/rawtherapee

%files
%doc AUTHORS.txt LICENSE.txt COMPILE.txt RELEASE_NOTES.txt
%{_bindir}/rawtherapee
%{_datadir}/rawtherapee
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/rawtherapee.png
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Feb 09 2014 luigiwalser <luigiwalser> 4.0.11-2.1.mga4
+ Revision: 587722
- rediff patch from fedora to fix CVE-2013-1438 in embedded copy of dcraw

* Sat Oct 19 2013 umeabot <umeabot> 4.0.11-2.mga4
+ Revision: 527584
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 4.0.11-1.mga4
+ Revision: 441343
- do not build shared libs
- build static libs
- new version 4.0.11

* Mon Jun 03 2013 fwang <fwang> 4.0.7-4.mga4
+ Revision: 436200
- rebuild for new libpng

* Thu Jan 24 2013 fwang <fwang> 4.0.7-3.mga3
+ Revision: 391939
- disable shared build
- build static lib
- more linkage
- link against giomm
- build verbose
- br bzip2
- build verbose
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 malo <malo> 4.0.7-1.mga2
+ Revision: 204276
- use %%mkrel
- change group to graphics
- Stripped archive from mercurial information.
- Update to 4.0.7
- spec clean-up after import from Mandriva (thanks to Alexander Barakin)
- imported package rawtherapee


* Wed Dec 07 2011 Alexander Khrukin <akhrukin@mandriva.org> 4.0.6-1
+ Revision: 738577
- version update 4.0.6

* Tue Oct 25 2011 Alexander Barakin <abarakin@mandriva.org> 4.0.4-1
+ Revision: 707133
- imported package rawtherapee

